Subject: Announce: PerlRing
From: [email-masked] (Joe Casadonte)
Date: 2 Jan 1997 16:12:00 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

[Follow-ups redirected to comp.lang.perl.misc]

I have created a WebRing (http://www.webring.org) for Perl pages called
PerlRing.  A WebRing is basically a bidirectional linked list of web
pages all related to a particular topic.

The purpose of this ring is to link together homepages relating to Perl,
allowing people to pop from one page to the next, hopefully finding out
new things and learning about Perl.

There are a number of questions that I have anticipated:

Q: What is PerlRing?
A: [From the PerlRing homepage] Navigating the web has become
   increasingly difficult.  Doing a search at Alta Vista on
   
   	"perl module" or "perl script"
	
   yields 10,000+ hits.  The purpose of PerlRing, therefore, is to cut
   through the noise and make it easier for people to find other Perl
   programming homepages.  It is intended as an addition to, not a
   replacement of, CPAN (how can you replace the irreplaceable). 

Q: How does it differ from CPAN (Comprehensive Perl Archive Network -
   http://www.perl.com/CPAN/)?
A: [From the PerlRing homepage] CPAN is a wonderful undertaking,
   maintained by Jarkko Hietaniemi.  It is an archiving of everything
   Perl, and it is indeed Comprehensive.  So, if the world has CPAN,
   why do we need PerlRing?  Because they offer different things. 

   CPAN offers the world many modules and scripts, and ports of Perl
   to non-standard platforms, and the latest and greatest news.  But
   it does it by having people submit their work, and then archiving,
   indexing and presenting it.  It is like walking into a distributed
   library devoted to your favorite genre (which is a truly great
   thing to have). 

   If CPAN is like walking into a library, with the ability to see an
   author's creations, then PerlRing offers you the chance to walk
   into the author's home, and see where it all started from.  Not
   everyone submits their work to CPAN, and not everything is
   appropriate.  PerlRing provides the way to navigate from house to
   house, homepage to homepage, (hopefully) linking the world of Perl
   together. 

Q: Isn't this a bit kitschie (pretentious or in poor taste)?
A: WebRings can be both pretentious and in poor taste.  My goal is to be
   neither of these things.  A WebRing, like the web itself, is merely
   another way of presenting and linking together data.  It will be no
   better or worse than what we, its members, make of it.

Q: How can I join?  Where can I find out more?
A: The PerlRing Homepage - http://www.netaxs.com/~joc/perlring.html

Best wishes for a Happy, Healthy New Year to all!

Regards,

joe
[email-masked]

------------------------------------------------------------------------------
       Llama Fresh Farms => http://www.netaxs.com/~joc
 Gay Media Resource List => http://www.netaxs.com/~joc/gaymedia.html
          Perl for Win32 => http://www.netaxs.com/~joc/perlwin32.html
------------------------------------------------------------------------------
                       Live Free, that's the message!
------------------------------------------------------------------------------